Search documentation of wx

# View Source wxFileDataObject (wx v2.4.3.1)

`wxFileDataObject` is a specialization of `wxDataObject` for file names.

The program works with it just as if it were a list of absolute file names, but internally it uses the same format as Explorer and other compatible programs under Windows or GNOME/KDE file manager under Unix which makes it possible to receive files from them using this class.

See:

- `wxDataObject`

- `wxTextDataObject`

- `wxBitmapDataObject`

- `wxDataObject`

This class is derived, and can use functions, from:

- `wxDataObject`

wxWidgets docs: wxFileDataObject

# Summary

## Types

wxFileDataObject()

## Functions

addFile(This, File)

Adds a file to the file list represented by this data object (Windows only).

destroy(This)

Destroys the object

getFilenames(This)

Returns the array of file names.

new()

Constructor.

# Types

# wxFileDataObject()

    -type wxFileDataObject() :: wx:wx_object().

# Functions

# addFile(This, File)

    -spec addFile(This, File) -> ok when This :: wxFileDataObject(), File :: unicode:chardata().

Adds a file to the file list represented by this data object (Windows only).

# destroy(This)

    -spec destroy(This :: wxFileDataObject()) -> ok.

Destroys the object

# getFilenames(This)

    -spec getFilenames(This) -> [unicode:charlist()] when This :: wxFileDataObject().

Returns the array of file names.

# new()

    -spec new() -> wxFileDataObject().

Constructor.